Class | SOAP::SOAPFault
In: | soap/element.rb
Parent: | SOAPStruct

### Methods

detail detail= encode faultactor faultactor= faultcode faultcode= faultstring faultstring= new

### Included Modules

SOAPEnvelopeElement SOAPCompoundtype

### Public Class methods

new(faultcode = nil, faultstring = nil, faultactor = nil, detail = nil)

[Source]

    # File soap/element.rb, line 59
      def initialize(faultcode = nil, faultstring = nil, faultactor = nil, detail = nil)
        super(EleFaultName)
        @elename = EleFaultName
        @encodingstyle = EncodingNamespace

        if faultcode
          self.faultcode = faultcode
          self.faultstring = faultstring
          self.faultactor = faultactor
          self.detail = detail
          self.faultcode.elename = EleFaultCodeName if self.faultcode
          self.faultstring.elename = EleFaultStringName if self.faultstring
          self.faultactor.elename = EleFaultActorName if self.faultactor
          self.detail.elename = EleFaultDetailName if self.detail
        end
        faultcode.parent = self if faultcode
        faultstring.parent = self if faultstring
        faultactor.parent = self if faultactor
        detail.parent = self if detail
      end

### Public Instance methods

detail()

[Source]

    # File soap/element.rb, line 39
      def detail
        self['detail']
      end

detail=(rhs)

[Source]

    # File soap/element.rb, line 55
      def detail=(rhs)
        self['detail'] = rhs
      end

encode(generator, ns, attrs = {}) {|self.faultcode| ...}

[Source]

    # File soap/element.rb, line 80
      def encode(generator, ns, attrs = {})
        SOAPGenerator.assign_ns(attrs, ns, EnvelopeNamespace)
        SOAPGenerator.assign_ns(attrs, ns, EncodingNamespace)
        attrs[ns.name(AttrEncodingStyleName)] = EncodingNamespace
        name = ns.name(@elename)
        generator.encode_tag(name, attrs)
        yield(self.faultcode)
        yield(self.faultstring)
        yield(self.faultactor)
        yield(self.detail) if self.detail
        generator.encode_tag_end(name, true)
      end

faultactor()

[Source]

    # File soap/element.rb, line 35
      def faultactor
        self['faultactor']
      end

faultactor=(rhs)

[Source]

    # File soap/element.rb, line 51
      def faultactor=(rhs)
        self['faultactor'] = rhs
      end

faultcode()

[Source]

    # File soap/element.rb, line 27
      def faultcode
        self['faultcode']
      end

faultcode=(rhs)

[Source]

    # File soap/element.rb, line 43
      def faultcode=(rhs)
        self['faultcode'] = rhs
      end

faultstring()

[Source]

    # File soap/element.rb, line 31
      def faultstring
        self['faultstring']
      end

faultstring=(rhs)

[Source]

    # File soap/element.rb, line 47
      def faultstring=(rhs)
        self['faultstring'] = rhs
      end

[Validate]